WordPress.org

Ready to get started?Download WordPress

Forums

Upgraded from 2.7 to 2.7.1 and now I get: You do not have sufficient permissions (8 posts)

  1. pedjas
    Member
    Posted 5 years ago #

    I did automatic upgrade from 2.7 to 2.7.1. Process went fine with no errors.

    But, after that I cannot access admin section. No matter how I try, any link to admin options ends up with message: You do not have sufficient permissions to access this page.

    Login goes fine, I am logged in, as I can see that in public part of the site, but I just cannot access admin section.

    I changed nothing to the site except I started automatic upgrade.

    Now I am stuck with this.

    I searched WordPress site, and also Google and found no trace of similar problem reported.

  2. jomateix1
    Member
    Posted 5 years ago #

    Try to delete plugins of diretory.

  3. pedjas
    Member
    Posted 5 years ago #

    Deleting plugins is not what I consider as proper way to solve the problem. I've written simple tool to help out in such situations WordPress Quick Plugin Manager.

    It allows reviewing and setting plugin activation statuses without need to log into WordPress. This means one may deactivate and activate suspicious plugins even if he cannot log in to WordPress.

    I quess it would be helpful to other too.

  4. dallascowboysfan
    Member
    Posted 5 years ago #

    I've gotten SO MANY ERRORS, including this one. I finally just scrapped all my plugins and did the barebones of it and still got this message.

    I don't know what I'm doing wrong and that's probably the most frustrating point.

  5. MichaelH
    Member
    Posted 5 years ago #

    Can you create a new admin user and switch to using that user?

    If not make sure your admin user has a wp_capabilities record in wp_usermeta that looks like:
    a:1:{s:13:"administrator";b:1;}

    Of course you would use phpMyAdmin to edit that. If your $table_prefix in wp-config.php is not wp_ then the prefix to the usermeta and capabilities record would be different.

  6. pedjas
    Member
    Posted 5 years ago #

    If you asked me, everything was fine except one plugin that caused this error. After I removed plugin WorpdPress was up again, and after I installed plugin again, WordPress stayed up / I could use it with no problems.

    Problem was if plugins caused problem and which one did.

  7. M Szatkowski
    Member
    Posted 5 years ago #

    I had the same - in the meantime I updaten db backup plugin...

    solution:
    If u updateed wp-db-backup plugin change the dir name to wp-db-backup1 and try to log in again.

    should work

    peace!

  8. dczepiel
    Member
    Posted 5 years ago #

    I have a similar issue. Don't know why upgrade to 2.7.1 is causing so many problems...

    Got the "you do not have permissions" message so I deactivated all the plugins by changing the plugins directory name on the server. Then I could go back to admin menu and manually activate the plugins again. All but one is still causing problems - qTranslate2. Whenever I try to acrivate qTranslate it shows me the 'You do not have sufficient permissions to access this page" message. I am still logged in as admin but cannot go to admin panel.

    website is http://dczepiel.pl
    Everything worked just fine before the 2.7.1 automatic upgrade so it must have been something wrong with it.

    Anybody can help?

Topic Closed

This topic has been closed to new replies.

About this Topic